<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <InternalsVisibleTo Include="TrackQrApi.Tests"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="FastEndpoints" Version="7.2.0"/>
        <PackageReference Include="FastEndpoints.Security" Version="7.2.0" />
        <PackageReference Include="FastEndpoints.Swagger" Version="7.2.0" />
        <PackageReference Include="Serilog.AspNetCore" Version="9.0.0"/>
        <PackageReference Include="Serilog.Sinks.Console" Version="6.0.0"/>
        <PackageReference Include="Serilog.Sinks.File" Version="6.0.0"/>
        <PackageReference Include="BCrypt.Net-Next" Version="4.0.3"/>
        <PackageReference Include="MaxMind.GeoIP2" Version="5.2.0"/>
        <PackageReference Include="SkiaSharp" Version="3.116.1"/>
        <PackageReference Include="SkiaSharp.NativeAssets.Linux.NoDependencies" Version="3.116.1"/>
        <PackageReference Include="Stripe.net" Version="47.4.0"/>
        <PackageReference Include="QRCoder" Version="1.7.0"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.0">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.0"/>
    </ItemGroup>

</Project>
